Đặt lệnh
curl --request POST \
--url https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instrument": "<string>",
"qty": 123,
"qtyType": 123,
"side": "<string>",
"type": "<string>",
"limitPrice": 123,
"stopPrice": 123,
"stopLoss": 123,
"takeProfit": 123
}
'import requests
url = "https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orders"
payload = {
"instrument": "<string>",
"qty": 123,
"qtyType": 123,
"side": "<string>",
"type": "<string>",
"limitPrice": 123,
"stopPrice": 123,
"stopLoss": 123,
"takeProfit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instrument: '<string>',
qty: 123,
qtyType: 123,
side: '<string>',
type: '<string>',
limitPrice: 123,
stopPrice: 123,
stopLoss: 123,
takeProfit: 123
})
};
fetch('https://api.fireant.vn/broker-users/{userId}/accounts/{accountId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Orders
Đặt lệnh
POST
/
broker-users
/
{userId}
/
accounts
/
{accountId}
/
orders
Đặt lệnh
Ủy quyền
OAuth2 Implicit Grant
FlowNgầm định
- Authorization URL
- https://accounts.fireant.vn/connect/authorize
Scopes1
orders-write
Đặt, sửa, hủy lệnh giao dịch chứng khoán
Tham số đường dẫn
Id của user đã kết nối vào tài khoản FireAnt
Id tài khoản tại công ty chứng khoán của user
Nội dung
application/jsontext/json
Thông tin lệnh đặt
Phản hồi
Thành công
The response is of type string.